## ganglia-web 3.5.8

=== Makefile ===
##########################################################
# User configurables:
##########################################################
# Location where gweb should be installed to (excluding conf, dwoo dirs).
GDESTDIR = /var/www/html/ganglia

# Gweb statedir (where conf dir and Dwoo templates dir are stored)
GWEB_STATEDIR = /var/lib/ganglia-web

# Gmetad rootdir (parent location of rrd folder)
GMETAD_ROOTDIR = /var/lib/ganglia

APACHE_USER =  apache
##########################################################

# Gweb version
GWEB_MAJOR_VERSION = 3
GWEB_MINOR_VERSION = 5
GWEB_MICRO_VERSION = 8

GWEB_VERSION = $(GWEB_MAJOR_VERSION).$(GWEB_MINOR_VERSION).$(GWEB_MICRO_VERSION)

DIST_NAME = ganglia-web
DIST_DIR = $(DIST_NAME)-$(GWEB_VERSION)
DIST_TARBALL = $(DIST_DIR).tar.gz

TARGETS = conf_default.php ganglia-web.spec version.php

all: default

default:	$(TARGETS)

clean:
	rm -rf $(TARGETS) $(DIST_DIR) $(DIST_TARBALL) rpmbuild

conf_default.php:	conf_default.php.in
	sed -e "s|@vargmetadir@|$(GMETAD_ROOTDIR)|" -e "s|@vargwebstatedir@|$(GWEB_STATEDIR)|g" conf_default.php.in > conf_default.php

ganglia-web.spec:	ganglia-web.spec.in
	sed -e s/@GWEB_VERSION@/$(GWEB_VERSION)/ -e "s|@vargwebdir@|$(GWEB_STATEDIR)|" -e "s|@varapacheuser@|$(APACHE_USER)|g" ganglia-web.spec.in > ganglia-web.spec

version.php:	version.php.in
	sed -e s/@GWEB_VERSION@/$(GWEB_VERSION)/ version.php.in > version.php

dist-dir:	default
	rsync --exclude "rpmbuild" --exclude "*.gz" --exclude "Makefile" --exclude "*debian*" --exclude "$(DIST_DIR)" --exclude ".git*" --exclude "*.in" --exclude "*~" --exclude "#*#" --exclude "ganglia-web.spec" -a . $(DIST_DIR)

install:	dist-dir
	mkdir -p $(DESTDIR)/$(GWEB_STATEDIR)/dwoo/compiled && \
	mkdir -p $(DESTDIR)/$(GWEB_STATEDIR)/dwoo/cache && \
	mkdir -p $(DESTDIR)/$(GWEB_STATEDIR) && \
	rsync -a $(DIST_DIR)/conf $(DESTDIR)/$(GWEB_STATEDIR) && \
	mkdir -p $(DESTDIR)/$(GDESTDIR) && \
	rsync --exclude "conf" -a $(DIST_DIR)/* $(DESTDIR)/$(GDESTDIR) && \
	chown -R $(APACHE_USER):$(APACHE_USER) $(DESTDIR)/$(GWEB_STATEDIR)

dist-gzip:	dist-dir
	if [ -f $(DIST_TARBALL) ]; then \
	rm -rf $(DIST_TARBALL) ;\
	fi ;\
	tar -czf $(DIST_TARBALL) $(DIST_DIR)/*

rpm: dist-gzip ganglia-web.spec
	rm -rf rpmbuild
	mkdir rpmbuild
	mkdir rpmbuild/SOURCES 
	mkdir rpmbuild/BUILD 
	mkdir rpmbuild/RPMS 
	mkdir rpmbuild/SRPMS
	cp $(DIST_TARBALL) rpmbuild/SOURCES
	rpmbuild --define '_topdir $(PWD)/rpmbuild' -bb ganglia-web.spec

uninstall:
	rm -rf $(DESTDIR)/$(GDESTDIR)  $(DESTDIR)/$(GWEB_STATEDIR)

=== debian/changelog ===
ganglia-web (3.5.8-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "please update libgd dependencies":
    drop dependency on libgd2*; php5-gd dependes on libgd anyway.
    Thanks to Colin Watson for the bug report and the analysis.
    (Closes: #710768)

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jul 2013 14:57:09 +0200

ganglia-web (3.5.8-3) unstable; urgency=low

  * CVE-2013-0275 and CVE-2013-1770: XSS flaws resolved upstream
    (should have been noted in 3.5.8-1 changelog) (Closes: #700159)

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 09 Jun 2013 10:00:31 +0200

ganglia-web (3.5.8-2) unstable; urgency=low

  * Correct GWEB_STATEDIR (Closes: #710070)
  * Add a README.Debian.security file discussing limited security support for
    this package (closes: #702775).

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 28 May 2013 10:33:04 +0200

ganglia-web (3.5.8-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 27 May 2013 18:38:28 +0200

ganglia-web (3.5.2-2) unstable; urgency=low

  * Upload for unstable
  * Migrate from collab-maint to pkg-monitoring maintainership

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 27 May 2013 17:04:36 +0200

ganglia-web (3.5.2-1) experimental; urgency=low

  * Initial packaging, split from ganglia. (Closes: #681696).

 -- Daniel Pocock <daniel@pocock.com.au>  Fri, 31 Aug 2012 15:33:27 +0200

=== debian/control ===
Source: ganglia-web
Section: net
Priority: optional
Maintainer: Debian Monitoring Maintainers <pkg-monitoring-maintainers@lists.alioth.debian.org>
Uploaders: Stuart Teasdale <sdt@debian.org>, Daniel Pocock <daniel@pocock.com.au>
Homepage: http://www.ganglia.info/
Build-Depends: debhelper (>= 9.0.0), po-debconf, rsync
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/pkg-monitoring/ganglia-web.git
Vcs-Browser: http://git.debian.org/?p=pkg-monitoring/ganglia-web.git;a=summary

Package: ganglia-webfrontend
Architecture: all
Depends: ${misc:Depends}, apache | apache-ssl | apache-perl | apache2 | httpd-cgi, php5 | php5-cgi | libapache2-mod-php5, rrdtool, debconf (>= 0.5)
Recommends: gmetad, php5-gd
Description: cluster monitoring toolkit - web front-end
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML
 format.
 .
 This package contains the PHP-based web front-end, which displays
 information gathered by 'gmetad'.

## ganglia-web 3.6.1

=== Makefile ===
##########################################################
# User configurables:
##########################################################
# Location where gweb should be installed to (excluding conf, dwoo dirs).
GDESTDIR = /usr/share/ganglia-webfrontend

# Location where default apache configuration should be installed to.
GCONFDIR = /etc/ganglia-web

# Gweb statedir (where conf dir and Dwoo templates dir are stored)
GWEB_STATEDIR = /var/lib/ganglia-web

# Gmetad rootdir (parent location of rrd folder)
GMETAD_ROOTDIR = /var/lib/ganglia

APACHE_USER = www-data
##########################################################

# Gweb version
GWEB_VERSION = 3.6.1

DIST_NAME = ganglia-web
DIST_DIR = $(DIST_NAME)-$(GWEB_VERSION)
DIST_TARBALL = $(DIST_DIR).tar.gz

TARGETS = conf_default.php ganglia-web.spec version.php apache.conf

all: default

default:	$(TARGETS)

clean:
	rm -rf $(TARGETS) $(DIST_DIR) $(DIST_TARBALL) rpmbuild

conf_default.php:	conf_default.php.in
	sed -e "s|@vargmetadir@|$(GMETAD_ROOTDIR)|" -e "s|@vargwebstatedir@|$(GWEB_STATEDIR)|g" conf_default.php.in > conf_default.php

ganglia-web.spec:	ganglia-web.spec.in
	sed -e s/@GWEB_VERSION@/$(GWEB_VERSION)/ -e "s|@vargwebdir@|$(GWEB_STATEDIR)|" -e "s|@varapacheuser@|$(APACHE_USER)|g" -e "s|@etcdir@|$(GCONFDIR)|g" ganglia-web.spec.in > ganglia-web.spec

version.php:	version.php.in
	sed -e s/@GWEB_VERSION@/$(GWEB_VERSION)/ version.php.in > version.php

apache.conf:	apache.conf.in
	sed -e "s|@GDESTDIR@|$(GDESTDIR)|g" apache.conf.in > apache.conf

dist-dir:	default
	rsync --exclude "rpmbuild" --exclude "*.gz" --exclude "Makefile" --exclude "*debian*" --exclude "$(DIST_DIR)" --exclude ".git*" --exclude "*.in" --exclude "*~" --exclude "#*#" --exclude "ganglia-web.spec" --exclude "apache.conf" -a . $(DIST_DIR)

install:	dist-dir
	mkdir -p $(DESTDIR)/$(GWEB_STATEDIR)/dwoo/compiled && \
	mkdir -p $(DESTDIR)/$(GWEB_STATEDIR)/dwoo/cache && \
	mkdir -p $(DESTDIR)/$(GWEB_STATEDIR) && \
	rsync -a $(DIST_DIR)/conf $(DESTDIR)/$(GWEB_STATEDIR) && \
	mkdir -p $(DESTDIR)/$(GDESTDIR) && \
	rsync --exclude "conf" -a $(DIST_DIR)/* $(DESTDIR)/$(GDESTDIR) && \
	chown -R $(APACHE_USER):$(APACHE_USER) $(DESTDIR)/$(GWEB_STATEDIR)

dist-gzip:	dist-dir
	if [ -f $(DIST_TARBALL) ]; then \
	rm -rf $(DIST_TARBALL) ;\
	fi ;\
	tar -czf $(DIST_TARBALL) $(DIST_DIR)/*

rpm: dist-gzip ganglia-web.spec apache.conf
	rm -rf rpmbuild
	mkdir rpmbuild
	mkdir rpmbuild/SOURCES 
	mkdir rpmbuild/BUILD 
	mkdir rpmbuild/RPMS 
	mkdir rpmbuild/SRPMS
	cp $(DIST_TARBALL) rpmbuild/SOURCES
	cp apache.conf rpmbuild/SOURCES
	rpmbuild --define '_topdir $(PWD)/rpmbuild' --define 'custom_web_prefixdir $(GDESTDIR)' -bb ganglia-web.spec

uninstall:
	rm -rf $(DESTDIR)/$(GDESTDIR)  $(DESTDIR)/$(GWEB_STATEDIR)

=== debian/changelog ===
ganglia-web (3.6.1-3) unstable; urgency=high

  * Add dependency php-xml (Closes: #829005)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 07 Jul 2016 08:09:51 +0200

ganglia-web (3.6.1-2) unstable; urgency=high

  * Update for PHP 7.0 support (Closes: #821499)

 -- Daniel Pocock <daniel@pocock.pro>  Mon, 23 May 2016 07:58:51 +0200

ganglia-web (3.6.1-1) unstable; urgency=high

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 04 Apr 2014 11:41:22 +0200

ganglia-web (3.6.0-1) unstable; urgency=high

  * New upstream release.
  * Upstream now includes unminified form of third-party
    JavaScript libraries (Closes: #736104)

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 04 Apr 2014 09:41:36 +0200

ganglia-web (3.5.8-4) unstable; urgency=low

  * Use conf-available for apache 2.4

 -- Daniel Pocock <daniel@pocock.com.au>  Sat, 23 Nov 2013 11:19:27 +0100

=== debian/control ===
Source: ganglia-web
Section: net
Priority: optional
Maintainer: Debian Monitoring Maintainers <pkg-monitoring-maintainers@lists.alioth.debian.org>
Uploaders: Stuart Teasdale <sdt@debian.org>, Daniel Pocock <daniel@pocock.pro>
Homepage: http://www.ganglia.info/
Build-Depends: debhelper (>= 9.0.0), po-debconf, rsync
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/pkg-monitoring/ganglia-web.git
Vcs-Browser: http://git.debian.org/?p=pkg-monitoring/ganglia-web.git;a=summary

Package: ganglia-webfrontend
Architecture: all
Depends: ${misc:Depends}, apache | apache-ssl | apache-perl | apache2 | httpd-cgi, php | php-cgi | libapache2-mod-php, php-xml, rrdtool, debconf (>= 0.5)
Recommends: gmetad, php-gd
Description: cluster monitoring toolkit - web front-end
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML
 format.
 .
 This package contains the PHP-based web front-end, which displays
 information gathered by 'gmetad'.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
PACKAGE = ganglia-web

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

build: build-stamp
	make

build-stamp:
	dh_testdir
	# Just in case, make sure changelog exists
	touch ChangeLog NEWS

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/ganglia.sgml > ganglia.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
#	[ ! -f Makefile ] || make clean
#	-rm -f dotconf-1.0.9/conftest.o
#	-rm -f dotconf-1.0.9/conftest
	-rm -f web/version.php web/conf.php
	-rm -rf debian/patches/ .pc/
	debconf-updatepo
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	# Seed the package directories
	dh_install --sourcedir=debian/tmp

#Install webfrontend
	$(MAKE) install APACHE_USER=www-data DESTDIR=$(CURDIR)/debian/ganglia-webfrontend GDESTDIR=/usr/share/ganglia-webfrontend  GWEB_STATEDIR=/var/lib/ganglia-web
	rm debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/COPYING
	cp -f debian/apache.conf \
		 debian/ganglia-webfrontend/etc/ganglia-webfrontend
	cp -f debian/conf_debian.php \
		 debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/conf.php
	rm -rf debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/debian

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs -i
	dh_fixperms -i
	dh_compress -i
	dh_installdebconf -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i
	
binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ganglia-web-$1\.tar\.gz/ \
  https://github.com/ganglia/ganglia-web/tags .*/v?(\d\S*)\.tar\.gz

## ganglia-web 3.7.5%2Bdebian

=== debian/changelog ===
ganglia-web (3.7.5+debian-4) unstable; urgency=medium

  * Remove debconf configuration (Closes: #722613).
  * d/ganglia-webfrontend.post{inst,rm}
    ~ Polish code and minor improvements.
    ~ Use apache2-maintscript-helper functions to interact with
      apache2 webserver.(Closes: #669786, #866115, #757261)
  * Bump to Standards-Version 4.6.0 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Tue, 28 Dec 2021 00:25:56 +0100

ganglia-web (3.7.5+debian-3) unstable; urgency=medium

  * Stop using "chown -R" in maintainer scripts.
    Use dpkg-statoverride instead.
  * Don't check invoke-rc.d path as dpkg ensures that PATH is set
    to a reasonable value.
  * Remove /var/lib/ganglia-web/ on purge.
  * Bump to Standards-Version 4.5.1 (no changes required).
  * d/patches. Add two upstream patches to fix minor bugs:
    ~ Add 0003-Fix-Uncaught-DivisionByZeroError-Modulo-by-zero.patch
    ~ Add 0004-Fix-XSS-from-OBB-1005024.patch

 -- Marcos Fouces <marcos@debian.org>  Sun, 28 Feb 2021 11:35:57 +0100

ganglia-web (3.7.5+debian-2) unstable; urgency=medium

  * Update portuguese translation for debconf messages. (Closes: #751092).

 -- Marcos Fouces <marcos@debian.org>  Sun, 28 Feb 2021 11:35:44 +0100

ganglia-web (3.7.5+debian-1) unstable; urgency=medium

  * New upstream version 3.7.5 (Closes:#838697)
  * Taking over maintenance for salvaging package (Closes:#710505)
  * Bump to debhelper-compat 13 from dh9
  * Update package dependencies.
  * Avoid checking if an init-system-helpers script is executable.
  * ganglia-webfrontend binary packages depends on the following Debian packages
    for providing JavaScript libraries (Closes:#693816):
    ~ libjs-jquery-mobile
    ~ libjs-jquery
    ~ libjs-jquery-ui
    ~ libjs-jquery-scrollto
    ~ libjs-jquery-cookie
    ~ libjs-rickshaw
    ~ libjs-d3
    ~ libjs-jquery-jstree
    ~ libjs-chosen
    ~ libjs-jstimezonedetect
    ~ libjs-moment
    ~ libjs-moment-timezone
    ~ libjs-select2.js
    ~ libjs-jquery-flot
  * Add cubism.v1.js source and minified version.
  * Add protovis.js source and minified version.
  * Add jquery.visible.js source and minified version.
  * Add fullcalendar.js and fullcalendar.css source and minified version.
  * Add jquery.qtip.min.js source file in d/missing-sources
  * Delete old missing-sources files and lintian-override for embedded sources.
  * Repack source code to delete uneeded/problematic JavaScript files.
  * Fix and update d/copyright file.
  * Migrate rules file to dh syntax.
  * Delete d/docs file as it became useless.
  * Add lintian.override for js/js/flot_graph.js in source package.
  * Add upstream metadata.
  * Update maintainer email to @debian.org.
  * Bump to Standards-Version 4.5.0

 -- Marcos Fouces <marcos@debian.org>  Sun, 04 Oct 2020 00:52:13 +0200

ganglia-web (3.6.1-3.1) unstable; urgency=medium

  [ Marcos Fouces ]
  * NMU upload.
  * Add missing sources. (Closes: #787599).

  [ Tobias Frost ]
  * Updating Uploaders. (Closes: #953472).

 -- Tobias Frost <tobi@debian.org>  Sun, 03 May 2020 20:11:15 +0200

## ganglia-web 3.7.5+debian

=== Makefile ===
--- 
+++ 
@@ -13,11 +13,24 @@
 # Gmetad rootdir (parent location of rrd folder)
 GMETAD_ROOTDIR = /var/lib/ganglia
 
+# Name of the user that runs the Apache server 
 APACHE_USER = www-data
+
+# Name of the group that runs the Apache server 
+APACHE_GROUP = $(APACHE_USER)
+
+# PHP xUnit
+PHPUNIT = phpunit
+
+# PHP_CodeSniffer
+PHPCS = phpcs
+
+# PHP Code Beautifier and Fixer
+PHPCBF = phpcbf
 ##########################################################
 
 # Gweb version
-GWEB_VERSION = 3.6.1
+GWEB_VERSION = 3.7.4
 
 DIST_NAME = ganglia-web
 DIST_DIR = $(DIST_NAME)-$(GWEB_VERSION)
@@ -25,9 +38,29 @@
 
 TARGETS = conf_default.php ganglia-web.spec version.php apache.conf
 
+# Coding standard
+STANDARD = test/phpcs-ganglia-web.xml
+
+CODE = *.php api graph.d lib nagios test
+
 all: default
 
 default:	$(TARGETS)
+
+sniff:
+	@$(PHPCS) --version && echo
+	$(PHPCS) --standard=$(STANDARD) -p $(CODE)
+
+# convert exclusive standard into inclusive rules
+rules:
+	@$(PHPCS) --standard=$(STANDARD) -e | grep "^  " | sed -e 's/^  / <rule ref="/' -e 's/$$/"\/>/'
+
+fix:
+	$(PHPCBF) --standard=$(STANDARD) $(CODE)
+
+.PHONY: test
+test:
+	$(PHPUNIT) test
 
 clean:
 	rm -rf $(TARGETS) $(DIST_DIR) $(DIST_TARBALL) rpmbuild
@@ -54,7 +87,7 @@
 	rsync -a $(DIST_DIR)/conf $(DESTDIR)/$(GWEB_STATEDIR) && \
 	mkdir -p $(DESTDIR)/$(GDESTDIR) && \
 	rsync --exclude "conf" -a $(DIST_DIR)/* $(DESTDIR)/$(GDESTDIR) && \
-	chown -R $(APACHE_USER):$(APACHE_USER) $(DESTDIR)/$(GWEB_STATEDIR)
+	chown -R $(APACHE_USER):$(APACHE_GROUP) $(DESTDIR)/$(GWEB_STATEDIR)
 
 dist-gzip:	dist-dir
 	if [ -f $(DIST_TARBALL) ]; then \

=== debian/control ===
Source: ganglia-web
Section: net
Priority: optional
Maintainer: Marcos Fouces <marcos@debian.org>
Uploaders: Stuart Teasdale <sdt@debian.org>
Homepage: http://www.ganglia.info/
Build-Depends: debhelper-compat (=13), rsync
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/ganglia-web
Vcs-Git: https://salsa.debian.org/debian/ganglia-web.git

Package: ganglia-webfrontend
Architecture: all
Depends: ${misc:Depends}, apache2 | httpd-cgi, php | php-cgi | libapache2-mod-php, php-xml, rrdtool, libjs-jquery-mobile, libjs-jquery, libjs-jquery-ui, libjs-jquery-scrollto, libjs-jquery-cookie, libjs-rickshaw, libjs-d3, libjs-jquery-jstree, libjs-chosen, libjs-jstimezonedetect, libjs-moment, libjs-moment-timezone, libjs-select2.js, libjs-jquery-flot
Recommends: gmetad, php-gd
Description: cluster monitoring toolkit - web front-end
 Ganglia is a scalable, real-time cluster monitoring environment
 that collects cluster statistics in an open and well-defined XML
 format.
 .
 This package contains the PHP-based web front-end, which displays
 information gathered by 'gmetad'.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:

override_dh_install:
	dh_install --sourcedir=debian/tmp

	$(MAKE) install APACHE_USER=www-data DESTDIR=$(CURDIR)/debian/ganglia-webfrontend GDESTDIR=/usr/share/ganglia-webfrontend  GWEB_STATEDIR=/var/lib/ganglia-web
	rm debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/COPYING
	rm debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/README
	rm debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/dwoo/LICENSE
	cp -f debian/apache.conf \
		 debian/ganglia-webfrontend/etc/ganglia-webfrontend
	cp -f debian/conf_debian.php \
		 debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/conf.php
	cp -r debian/js/* debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/js
	cp -r debian/js/protovis.min.js debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/js
	rm -rf debian/ganglia-webfrontend/usr/share/ganglia-webfrontend/debian

## ganglia-web 3.7.6+debian

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 ##########################################################
 
 # Gweb version
-GWEB_VERSION = 3.7.4
+GWEB_VERSION = 3.7.5
 
 DIST_NAME = ganglia-web
 DIST_DIR = $(DIST_NAME)-$(GWEB_VERSION)

=== debian/changelog ===
ganglia-web (3.7.6+debian-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089332)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 20:01:40 +0000

ganglia-web (3.7.6+debian-1) unstable; urgency=medium

  * Remove Stuart from uploaders as he moved to the Emeritus status.
    (Closes: #1011994).
  * New upstream version 3.7.6+debian (Closes: #1043363, #878066)
  * Remove patches as they were already applied upstream.
  * Bump to Standards-Version 4.6.2 (no changes required).
  * Fix /var/lib/ganglia-web permissions (Closes: #1006894)

 -- Marcos Fouces <marcos@debian.org>  Tue, 27 Feb 2024 18:34:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Marcos Fouces <marcos@debian.org>
-Uploaders: Stuart Teasdale <sdt@debian.org>
 Homepage: http://www.ganglia.info/
 Build-Depends: debhelper-compat (=13), rsync
-Standards-Version: 4.6.0
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/ganglia-web
 Vcs-Git: https://salsa.debian.org/debian/ganglia-web.git

=== debian/watch ===
version=4
opts="dversionmangle=s/\+debian\d*$//,repacksuffix=+debian,repack,compression=xz" https://github.com/ganglia/ganglia-web/tags .*/v?(\d\S*)\.tar\.gz
